Subject: Re: [lamps] Providing RFC 5378 consensus for RFC 4210 (was: Tero Mononen and Tomi Kause)

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 10 Jan 2022 07:30:06 +0000

Hi Tomi

Thanks to Martin I got this email address and would like to make you aware of the activities regarding CMP Update at IETF LAMPS working group.
There are some I-Ds active at IETF for updating and applying CMP. The I-D draft-ietf-lamps-cmp-updates contains the majority of the syntax changes.
As RFC 4210 was submitted before 10 November 2008, Russ asked me to get in touch with the authors of RFC 4210 and ask them to grant the BCP78 rights to the IETF Trust or add the disclaimer for pre-RFC5378 work. In the meantime I managed to get in touch with Carlisle, Stephen, and Tero and they granted the respective rights to IETF Trust.
It would be great if you could provide me your feedback. 

Many thanks,
Hendrik

> Von: Peylo, Martin (Nokia - FI/Espoo) <[email-masked]>
> Gesendet: Sonntag, 9. Januar 2022 22:34
> 
> Hi Hendrik, Tomi,
> 
> I hope this "iki" (basically Finnish for "forever") mail forwarder address still
> works for you Tomi, and I get you connected with Hendrik through this mail?
> 
> Cheers,
> Martin
> 
> 
> -----Original Message-----
> From: Brockhaus, Hendrik <[email-masked]>
> Sent: Monday, January 3, 2022 12:48
> To: Peylo, Martin (Nokia - FI/Espoo) <[email-masked]>
> Cc: [email-masked]; Russ Housley <[email-masked]>
> Subject: WG: AW: Tero Mononen and Tomi Kause
> 
> Hello Martin
> 
> Are you still in contact with Tomi Kause?
> In the context of updating RFC 4210 and RFC 6712 I asked the authors of RFC
> 4210 to grant consensus regarding RFC 5378. This is relevant for all RFCs
> released after 2008 as the disclaimer section was changed back then.
> I got feedback and consensus from three authors, but I did not get any
> feedback from Tomi.
> Do you have a current email address from him and could you forward my
> email.
> 
> Best wishes and all the best for 2022
> Hendrik
> 
> > Von: Tero Mononen <[email-masked]>
> > Gesendet: Mittwoch, 22. Dezember 2021 22:12
> >
> > Hi Hendrik and others,
> >
> > Related to RFC 4210 - I'm also fine with RFC5378 and willing to grant
> > rights to the IETF Trust.
> >
> > BR
> >
> > --
> > Tero Mononen <[email-masked]>
> >
> > Man has survived hitherto because he was too ignorant to know how to
> > realise his wishes - Now that he can realise them, he must either
> > change them or perish.
> >
> > On 22.12.2021 19.25, Brockhaus, Hendrik wrote:
> > > Thank you for forwarding my email 😊
> > >
> > > @Michael, thank you for supporting.
> > >
> > > @Tero, we updated CMP, RFC 4210 and RFC 6712. If you are willing to
> > > grant
> > consensus regarding RFC 5378, we could leave the respective disclaimer
> > out of the new documents.
> > >
> > > @Tomi, I haven’t heard back from you. Did you see my email?
> > >
> > > Hendrik
> > >
> > >> Von: Tero Kivinen <[email-masked]>
> > >> Gesendet: Dienstag, 21. Dezember 2021 23:27
> > >>
> > >> Michael Richardson writes:
> > >>> Looking for current address for Tero Mononen.
> > >> [email-masked] is permanent redirected address, so that should work...
> > >>
> > >>> From: Carlisle Adams <[email-masked]>
> > >>> Sender: "Spasm" <[email-masked]>
> > >>> To: "Brockhaus, Hendrik" <[email-masked]>, Stephen
> > >>> Farrell  <[email-masked]>, "[email-masked]"
> > >>> <[email-masked]>, "[email-masked]"
> > >>> <[email-masked]>
> > >>> Cc: "[email-masked]" <[email-masked]>, Russ Housley
> > >>> <[email-masked]>
> > >>> Subject: Re: [lamps] I-D Action:
> > >>> draft-ietf-lamps-cmp-updates-15.txt
> > >>> Date: Mon, 20 Dec 2021 15:33:15 +0000
> > >>> Content-Type: text/plain; charset="us-ascii"
> > >>> Content-Transfer-Encoding: 7bit
> > >>> MIME-Version: 1.0
> > >>>
> > >>> Hi all,
> > >>>
> > >>> Along with Stephen, I am fine with RFC5378 and granting the
> > >>> respective
> > >> rights to IETF Trust.
> > >>> No, I do not have any other address for Tero Mononen.
> > >>>
> > >>> Carlisle.
> > >>>
> > >>>
> > >>> -----Original Message-----
> > >>> From: Brockhaus, Hendrik <[email-masked]>
> > >>> Sent: December-20-21 2:22 AM
> > >>> To: Carlisle Adams <[email-masked]>; Stephen Farrell
> > >>> <[email-masked]>; [email-masked];
> > >>> [email-masked]
> > >>> Cc: [email-masked]; Russ Housley <[email-masked]>;
> > >>> [email-masked]
> > >>> Subject: AW: [lamps] I-D Action:
> > >>> draft-ietf-lamps-cmp-updates-15.txt
> > >>>
> > >>> Attention : courriel externe | external email
> > >>>
> > >>> Thanks to Stephen for his swift reply.
> > >>>
> > >>> Does anyone has a current email-address for Tero Mononen. The
> > >>> email
> > >> address used doe not exist anymore?
> > >>> Hendrik
> > >>>
> > >>>> Von: Brockhaus, Hendrik (T RDA CST SEA-DE)
> > >>>> Gesendet: Freitag, 17. Dezember 2021 19:11
> > >>>>
> > >>>> Dear all
> > >>>>
> > >>>> May be you noticed that there is some profiling and updating work
> > >>>> going on regarding CMP.
> > >>>> The documents are located in the LAMPS working group and passed
> > >>>> WG last call already.
> > >>>> Russ asked me to get in touch with you and ask you for consent to
> > >>>> RFC5378 and grant the respective rights to IETF Trust.
> > >>>>
> > >>>> If one of the email addresses is wrong and you have a more
> > >>>> current on, feel free to forward my email.
> > >>>>
> > >>>> Many thanks and best regards,
> > >>>> Hendrik
> > >>>>
> > >>>>> Von: Russ Housley <[email-masked]>
> > >>>>> Gesendet: Freitag, 17. Dezember 2021 17:52
> > >>>>>
> > >>>>> I just looked at the IDnits output for this document.  Authors,
> > >>>>> please look at this warning:
> > >>>>>
> > >>>>>    -- The document seems to lack a disclaimer for pre-RFC5378
> > >>>>> work, but
> > >>>> may
> > >>>>>       have content which was first submitted before 10 November
> 2008.
> > >>>>> If
> > >>>> you
> > >>>>>       have contacted all the original authors and they are all
> > >>>>> willing to
> > >> grant
> > >>>>>       the BCP78 rights to the IETF Trust, then this is fine, and
> > >>>>> you can
> > >> ignore
> > >>>>>       this comment.  If not, you may need to add the pre-RFC5378
> > >> disclaimer.
> > >>>>>       (See the Legal Provisions document at
> > >>>>>
> > >>>>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%
> > >>>>> 25
> > >>>>> 2F
> > >>>>> tr
> > >>>>> us
> > >>>>> te
> > >>>>> e.ietf.org%2Flicense-
> > >>>>>
> > >>
> >
> info&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e11f
> > >>
> >
> 5238d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> > >>
> >
> %7C0%7C637753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> > >>
> >
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> > >>
> >
> mp;sdata=M1P8BvBYLqcPEfKBjqnhMbblFQBhIA%2FhX0GUHAuWL8U%3D&am
> > >>>>> p;reserved=0 for more information.) Russ
> > >>>>>
> > >>>>>> On Dec 17, 2021, at 11:00 AM, Brockhaus, Hendrik
> > >>>>> <[email-masked]> wrote:
> > >>>>>> This update is supposed to handle all comments revived during
> > >>>>>> WG last
> > >>>>> call.
> > >>>>>>    From version 14 -> 15:
> > >>>>>>    *  Updated Section 2.16 clarifying the usage of CRLSource
> > >>>>>> (see
> > >> thread
> > >>>>>>       "CRL update retrieval - WG Last Call for draft-ietf-lamps-cmp-
> > >>>>>>       updates-14 and draft-ietf-lamps-lightweight-cmp-profile-08")
> > >>>>>>    *  Updated Section 2.22 adding further references regarding
> random
> > >>>>>>       number generation (see thread "CMP draft WGLC: measuring
> > >> entropy,
> > >>>>>>       CA certificates")
> > >>>>>>    *  Fixed some nits
> > >>>>>>
> > >>>>>> Hendrik
> > >>>>>>
> > >>>>>>> Von: Spasm <[email-masked]> Im Auftrag von internet-
> > >>>>>>> [email-masked]
> > >>>>>>>
> > >>>>>>>
> > >>>>>>> A New Internet-Draft is available from the on-line
> > >>>>>>> Internet-Drafts
> > >>>>> directories.
> > >>>>>>> This draft is a work item of the Limited Additional Mechanisms
> > >>>>>>> for PKIX and SMIME WG of the IETF.
> > >>>>>>>
> > >>>>>>>         Title           : Certificate Management Protocol (CMP) Updates
> > >>>>>>>         Authors         : Hendrik Brockhaus
> > >>>>>>>                           David von Oheimb
> > >>>>>>>                           John Gray
> > >>>>>>>   Filename        : draft-ietf-lamps-cmp-updates-15.txt
> > >>>>>>>   Pages           : 69
> > >>>>>>>   Date            : 2021-12-17
> > >>>>>>>
> > >>>>>>> Abstract:
> > >>>>>>>    This document contains a set of updates to the syntax and
> > >>>>>>> transfer
> > >> of
> > >>>>>>>    Certificate Management Protocol (CMP) version 2.  This
> document
> > >>>>>>>    updates RFC 4210, RFC 5912, and RFC 6712.
> > >>>>>>>
> > >>>>>>>    The aspects of CMP updated in this document are using
> > >>>> EnvelopedData
> > >>>>>>>    instead of EncryptedValue, clarifying the handling of p10cr
> > >> messages,
> > >>>>>>>    improving the crypto agility, as well as adding new general
> message
> > >>>>>>>    types, extended key usages to identify certificates for use
> > >>>>>>> with
> > >> CMP,
> > >>>>>>>    and '.well-known' HTTP path segments.
> > >>>>>>>
> > >>>>>>>    To properly differentiate the support of EnvelopedData instead
> of
> > >>>>>>>    EncryptedValue, the CMP version 3 is introduced in case a
> > >> transaction
> > >>>>>>>    is supposed to use EnvelopedData.
> > >>>>>>>
> > >>>>>>>    CMP version 3 is introduced to enable signaling support of
> > >>>>>>>    EnvelopedData instead of EncryptedValue and signaling the
> > >>>>>>> use of
> > >> an
> > >>>>>>>    explicit hash AlgorithmIdentifier in certConf messages, as far as
> > >>>>>>>    needed.
> > >>>>>>>
> > >>>>>>>
> > >>>>>>> The IETF datatracker status page for this draft is:
> > >>>>>>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2
> > >>>>>>> 52
> > >>>>>>> F
> > >>>>>>> %2
> > >>>>>>> Fd
> > >>>>>>> at
> > >>>>>>> atr
> > >>>>>>> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> > >>>>>>>
> > >>
> >
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> > >>
> >
> C2739a568de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495
> > >>
> >
> d55a%7C1%7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8ey
> > >>
> > JWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> > 7
> > >>
> >
> C3000&amp;sdata=0hawLk56soKd17ulZV%2Ff10rwqWEkFJZS6Dq621piHig%3D
> > >>>>>>> &amp;reserved=0
> > >>>>>>>
> > >>>>>>> There is also an HTML version available at:
> > >>>>>>>
> > >>>>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%
> > >>>>> 25
> > >>>>> 2F
> > >>>>> ww
> > >>>>> w
> > >>
> >
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> > >>>>> 1f523
> > >>
> >
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> > >>>>> C0%7C6
> > >>
> >
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> > >>>>> AiLCJQIjo
> > >>
> >
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKn
> > e
> > >>>>> KRo
> > >>>>>>> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> > >>>>>>> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> > >>>>>>>
> > >>
> >
> 15.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C273
> > >>
> >
> 9a568de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495d55a
> > >>
> >
> %7C1%7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> > >>
> >
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> > >>
> >
> 00&amp;sdata=4uYUgThAUINNElt%2FqiMo8njoS%2BGGCDcn5eXWXeNvv4w
> > >>>>>>> %3D&amp;reserved=0
> > >>>>>>>
> > >>>>>>> A diff from the previous version is available at:
> > >>>>>>>
> > >>>>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%
> > >>>>> 25
> > >>>>> 2F
> > >>>>> ww
> > >>>>> w
> > >>
> >
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> > >>>>> 1f523
> > >>
> >
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> > >>>>> C0%7C6
> > >>
> >
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> > >>>>> AiLCJQIjo
> > >>
> >
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKn
> > e
> > >>>>> KRo
> > >>>>>>> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> > >>>>>>> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> > >>>>>>>
> > >>
> >
> 15&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C2739a568
> > >>
> >
> de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> > >>
> >
> %7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> > >>
> >
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> > >>
> >
> mp;sdata=y21bkP%2FkqiOxgIAqjPWRZpco3%2FKVpcJOoqs%2FaBUJvW4%3D&
> > >>>>>>> amp;reserved=0
> > >>>>>>>
> > >>>>>>>
> > >>>>>>> Internet-Drafts are also available by rsync at
> > >>>>>>> rsync.ietf.org::internet-drafts
> > >>>>>>>
> > >>>>>>>
> > >>>>>>> _______________________________________________
> > >>>>>>> Spasm mailing list
> > >>>>>>> [email-masked]
> > >>>>>>>
> > >>>>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%
> > >>>>> 25
> > >>>>> 2F
> > >>>>> ww
> > >>>>> w
> > >>
> >
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> > >>>>> 1f523
> > >>
> >
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> > >>>>> C0%7C6
> > >>
> >
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> > >>>>> AiLCJQIjo
> > >>
> >
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKn
> > e
> > >>>>> KRo
> > >>>>>>> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> > >>>>>>>
> > >>
> >
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> > >>
> >
> ockhaus%40siemens.com%7C2739a568de7b49770fc108d9c175eed7%7C38ae3
> > >>
> >
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637753534530099485%7CUnk
> > >>
> >
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik
> > 1
> > >>
> >
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=nLsp4PZh3fxcrpocY2tvUnimKl8
> > >>>>>>> PvEeZLXbkmMIxj1I%3D&amp;reserved=0
> > >>>>>> _______________________________________________
> > >>>>>> Spasm mailing list
> > >>>>>> [email-masked]
> > >>>>>>
> > >>
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> > >>
> >
> ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> > >>>>> ock
> > >>
> >
> haus%40siemens.com%7Cbe1e11f5238d468bcf9008d9c17d8d9c%7C38ae3bcd
> > >>>>> 95794f
> > >>
> >
> d4addab42e1495d55a%7C1%7C0%7C637753567875482343%7CUnknown%7C
> > >>>>> TWFpbGZsb3
> > >>
> >
> d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%
> > 3
> > >>>>> D%7
> > >>
> >
> C3000&amp;sdata=Uxkty3HPt5FsRaSvBOo5X4Cywq9a1eIRu6vAhrJdFoo%3D&
> > >>>>> amp;res
> > >>>>>> erved=0
> > >>> _______________________________________________
> > >>> Spasm mailing list
> > >>> [email-masked]
> > >>> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2F
> > >>> ww
> > >>>
> >
> w.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.
> > b
> > >>>
> >
> rockhaus%40siemens.com%7C2b597c76088f4fec671d08d9c58fbc4e%7C38ae3
> > bcd
> > >>>
> >
> 95794fd4addab42e1495d55a%7C1%7C0%7C637758043853692384%7CUnkno
> > wn%7CTW
> > >>>
> >
> FpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXV
> > C
> > >>>
> >
> I6Mn0%3D%7C3000&amp;sdata=6ma6Y2BZCquZWuFrCjyOd7D8FtoIjbF7b16q
> > 7fnPmG
> > >>> Q%3D&amp;reserved=0
> > >> --
> > >> [email-masked]
> >

---

From: Tomi Kause <[email-masked]>
Date: Mon, 10 Jan 2022 14:56:49 +0000

On 10 Jan 2022, at 9.30, Brockhaus, Hendrik <[email-masked]<mailto:[email-masked]>> wrote:

Hi Tomi

Thanks to Martin I got this email address

Thanks and apologies. I seem to miss lots of my incoming email nowadays.

and would like to make you aware of the activities regarding CMP Update at IETF LAMPS working group.
There are some I-Ds active at IETF for updating and applying CMP. The I-D draft-ietf-lamps-cmp-updates contains the majority of the syntax changes.
As RFC 4210 was submitted before 10 November 2008, Russ asked me to get in touch with the authors of RFC 4210 and ask them to grant the BCP78 rights to the IETF Trust or add the disclaimer for pre-RFC5378 work.

Granting BCP78 rights to the IETF Trust is fine by me.

Tomi Kause